image: "python:3.7"

stages:
  - lint
  - tests

lint:
  stage: lint
  script:
    - python3 -m pip install -r requirements.txt
    - python3 -m pylint programming_for_linguists_course

tests:
  stage: tests
  script:
    - python3 -m unittest discover -p *_test.py



